<?php

namespace EasyContent\WordPress\Db\Phinx\Wrapper;

use EasyContent\WordPress\Db\Phinx\Application;
use EasyContent\WordPress\Plugin;

class TextWrapper extends \Phinx\Wrapper\TextWrapper
{
    public function __construct(Application $app, array $options = [])
    {
        Plugin::getInstance()->log( 'Creating new Phinx TextWrapper...' );

        $appReflectionProperty = new \ReflectionProperty( parent::class, 'app' );
        $appReflectionProperty->setAccessible( true );
        $appReflectionProperty->setValue( $this, $app );
        $appReflectionProperty->setAccessible( false );
    }
}
