<?php

namespace EasyContent\WordPress\Forms\Entities;

use EasyContent\WordPress\Plugin;
use Symfony\Component\Validator\Constraints as Assert;

class SeoPlugin
{
    /**
     * @Assert\Type(type = "string")
     * @Assert\Choice({"all-in-one-seo-pack", "yoast-seo"})
     */
    protected $slug;


    public function __construct()
    {
        $this->setSlug( Plugin::getInstance()->getSettings()->getSeoPlugin() );
    }

    public function getSlug()
    {
        return $this->slug;
    }

    public function setSlug($slug)
    {
        $this->slug = $slug;
    }
}
