<?php

namespace EasyContent\WordPress\Api\Models;

/**
 * @property int $id
 * @property int $parent_category_id
 * @property string $name
 */
class Category extends BaseModel
{
    public $id;
    public $parent_category_id;
    public $name;


    protected static function getFields()
    {
        return ['id', 'parent_category_id', 'name'];
    }


    public static function getEndpoint()
    {
        return 'categories';
    }
}
