<?php

namespace EasyContent\WordPress\Controllers\Actions;

use EasyContent\WordPress\View;
use Symfony\Component\HttpFoundation\Request;

class BaseAction
{
    /**
     * @param Request $request
     * @return string
     */
    public function run(Request $request)
    {
        return '';
    }


    protected function render($view, array $data = [])
    {
        try {
            return (new View())->render( $view, $data );
        } catch ( \Exception $e ) {
            return $e->getMessage();
        }
    }
}
