<?php

namespace EasyContent\WordPress\Forms\Constraints;

use EasyContent\WordPress\Forms\Validators\PostCategoryExistsValidator;
use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class PostCategoryExists extends Constraint
{
    public $message;


    public function __construct($options = null)
    {
        parent::__construct($options);

        $this->message = __( "Category doesn't exist", EASYCONTENT_TXTDOMAIN );
    }


    public function validatedBy()
    {
        return PostCategoryExistsValidator::class;
    }
}
